;InnoSetupVersion=5.1.2

[Setup]
AppName=InternetFileSize Freeware
AppVerName=InternetFileSize 3.60
AppId=MoveaxInternetFileSize
AppVersion=3.60
AppPublisher=Moveax
AppPublisherURL=http://www.moveax.com/
AppSupportURL=http://support.moveax.com/
AppUpdatesURL=http://www.moveax.com/
AppModifyPath="{app}\UninsHs.exe" /m0=MoveaxInternetFileSize
DefaultDirName={pf}\Moveax InternetFileSize
DefaultGroupName=Moveax InternetFileSize
UninstallDisplayIcon={app}\InetFileSize.exe
OutputBaseFilename=InternetFileSizeSetup
Compression=lzma
ArchitecturesAllowed=x86 x64
ArchitecturesInstallIn64BitMode=x64
PrivilegesRequired=poweruser
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\moveaxlogo.ico"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ifs.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UninsHs.exe"; DestDir: "{app}"; Flags: restartreplace ignoreversion 
Source: "{app}\InetFileSize,1.exe"; DestDir: "{app}"; DestName: "InetFileSize.exe"; Check: "not Is64BitInstallMode"; Flags: ignoreversion 
Source: "{app}\IFSIEMenuStub,1.dll"; DestDir: "{app}"; DestName: "IFSIEMenuStub.dll"; Check: "Install_x86"; Flags: restartreplace regserver uninsrestartdelete ignoreversion 32bit 
Source: "{app}\InetFileSize,2.exe"; DestDir: "{app}"; DestName: "InetFileSize.exe"; Check: "Is64BitInstallMode"; Flags: ignoreversion 
Source: "{app}\IFSIEMenuStub,2.dll"; DestDir: "{app}"; DestName: "IFSIEMenuStub.dll"; Check: "not Install_x86"; Flags: restartreplace regserver uninsrestartdelete ignoreversion 64bit 

[Dirs]
Name: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletevalue deletevalue 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize\Settings"; ValueName: "AlwaysOnTop"; ValueType: Binary; ValueData: "01 00 00 00"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize\Settings"; ValueName: "RunMode"; ValueType: Binary; ValueData: "01 00 00 00"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize\ProxySettings"; ValueName: "Proxy_Mode"; ValueType: Binary; ValueData: "01 00 00 00"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize\ProxySettings"; ValueName: "Proxy_Name"; ValueType: Binary; ValueData: "00"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "Software\Moveax\InternetFileSize\ProxySettings"; ValueName: "Proxy_Pass"; ValueType: Binary; ValueData: "00"; Flags: createvalueifdoesntexist uninsdeletevalue 

[INI]
FileName: "{app}\Moveax web site.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.moveax.com/"; 

[Run]
Filename: "{win}\hh.exe"; Parameters: "{app}\ifs.chm::/viewfoldersizepro.html"; Description: "New features to Windows Explorer"; Flags: skipifsilent nowait
Filename: "{app}\InetFileSize.exe"; Description: "Launch InternetFileSize after install"; Flags: postinstall skipifsilent nowait
Filename: "{app}\readme.rtf"; Description: "View ReadMe file"; Flags: shellexec postinstall unchecked skipifsilent nowait
Filename: "{app}\UninsHs.exe"; Parameters: "/r=MoveaxInternetFileSize,{language},{srcexe}"; 

[Icons]
Name: "{group}\Moveax Web site"; Filename: "{app}\Moveax on WEB.url"; WorkingDir: "{app}"; IconFilename: "{app}\moveaxlogo.ico"; 
Name: "{group}\InternetFileSize Help"; Filename: "{app}\ifs.chm"; WorkingDir: "{app}"; 
Name: "{group}\InternetFileSize License"; Filename: "{app}\license.rtf"; WorkingDir: "{app}"; 
Name: "{group}\InternetFileSize ReadMe"; Filename: "{app}\readme.rtf"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall InternetFileSize"; Filename: "{app}\UninsHs.exe"; Parameters: "/u0=MoveaxInternetFileSize"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\InternetFileSize"; Filename: "{app}\InetFileSize.exe"; WorkingDir: "{app}"; Tasks: icon\quicklaunchicon_IFS; 
Name: "{userdesktop}\InternetFileSizer"; Filename: "{app}\InetFileSize.exe"; WorkingDir: "{app}"; Tasks: icon\desktopicon_IFS; 

[Tasks]
Name: "Installx86"; Description: "Install files for Internet Explorer 32-bit. NOTE: you can install context menu support for one kind of browsers only. So you must choose between 32 and 64 bit browser. Copy/paste and drag/drop features are available in both versions."; Check: "Is64BitInstallMode"; 
Name: "icons"; Description: "&Create additional icons"; 
Name: "icon\desktopicon_IFS"; Description: "&InetrnetFileSize desktop icon"; 
Name: "icon\quicklaunchicon_IFS"; Description: "I&nternetFileSize Quick Launch icon"; 

[UninstallDelete]
Type: files; Name: "{app}\Moveax web site.url"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
